Bug 206653 - virDomainCreateLinux() failed with extra arguments to xenguest-install
virDomainCreateLinux() failed with extra arguments to xenguest-install
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-15 10:55 EDT by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version: 0.3.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-09 10:51:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2006-09-15 10:55:55 EDT
Description of problem:
I'm testing xen kickstart installs and have to pass a kickstart line with '&' in
it. As soon as this character is included, xenguest-install fails with this message:
libvir: Xen Daemon error : GET operation failed: No such domain xentest1
Starting install...
Traceback (most recent call last):
  File "/usr/sbin/xenguest-install", line 375, in ?
    main()
  File "/usr/sbin/xenguest-install", line 339, in main
    dom = guest.start_install(conscb)
  File "/usr/lib/python2.4/site-packages/xeninst/ParaVirtGuest.py", line 194, in
 start_install
    return XenGuest.XenGuest.start_install(self, consolecb)
  File "/usr/lib/python2.4/site-packages/xeninst/XenGuest.py", line 275, in star
t_install
    self.domain = self.conn.createLinux(cxml, 0)
  File "/usr/lib64/python2.4/site-packages/libvirt.py", line 249, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed')
libvirt.libvirtError: virDomainCreateLinux() failed

The cmdline was:
xenguest-install -f /mnt/data/vm4disk --nographics  -p -l
ftp://porky/mnt/raid/fedora/development/x86_64/os -r 256 -x "dummy&dummy2" -n
xentest1

Version-Release number of selected component (if applicable):
python-xeninst-0.92.0-2
xen-3.0.2-33
libvirt-python-0.1.5-3
Comment 1 Jason M. Nielsen 2006-10-28 20:38:12 EDT
This appears to not be isolated to just x86_64 nor just to use of kickstart and
also occures in Fedora Core 6 with xen 3.0.3.

I recieve the same errors when attempting to use xenguest-install and also a
virDomainCreateLinux() dialog from virt-manager. virt-install returns the same
messages as xenguest-install.

The machine has 1GB of ram in it. 384 is allocated to dom0. It also creates the
image file "pinion" but gets nowhere with it.

[root@cog xen]# xm list
Name                                      ID Mem(MiB) VCPUs State   Time(s)
Domain-0                                   0      384     1 r-----    689.9
root@cog ~]# sestatus
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   permissive
Mode from config file:          enforcing
Policy version:                 21
Policy from config file:        targeted
[root@cog ~]# service xend status
xend is running
[root@cog ~]# uname -a
Linux cog 2.6.18-1.2798.fc6xen #1 SMP Mon Oct 16 15:11:19 EDT 2006 i686 i686
i386 GNU/Linux

Starting install...
libvir: Xen Daemon error : GET operation failed: No such domain pinion
libvir: Xen Daemon error : POST operation failed: (xend.err "Error creating
domain: (22, 'Invalid argument')")
Failed to create domain pinion
Traceback (most recent call last):
  File "/usr/sbin/xenguest-install", line 396, in ?
    main()
  File "/usr/sbin/xenguest-install", line 360, in main
    dom = guest.start_install(conscb)
  File "/usr/lib/python2.4/site-packages/virtinst/ParaVirtGuest.py", line 194,
in start_install
    return XenGuest.XenGuest.start_install(self, consolecb)
  File "/usr/lib/python2.4/site-packages/virtinst/XenGuest.py", line 355, in
start_install
    self.domain = self.conn.createLinux(cxml, 0)
  File "/usr/lib/python2.4/site-packages/libvirt.py", line 249, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed')
libvirt.libvirtError: virDomainCreateLinux() failed 
Comment 2 Jason M. Nielsen 2006-10-28 20:44:49 EDT
[root@cog xen]# xm create pinion
Using config file "pinion".
Error: (22, 'Invalid argument')
Comment 3 Jason M. Nielsen 2006-10-28 21:28:24 EDT
I was attempting to install FC5 i386 domU on a FC6 i386 dom0 using paravirt.
Guess you cant do that. FC6 i386 DomU works fine apparently...
Comment 4 Phil Hale 2006-10-30 18:12:50 EST
I too am having the issue.  I tried to install a domU of Windows XP pro using
virt-manager on an FC6 x86_64 box.
Comment 5 Daniel Malmgren 2006-11-20 09:11:30 EST
I experience exactly the same thing as Phil Hale above. I just try to create a
winxp domain using virt-manager on my Core2Duo machine, and then I get the
virDomainCreateLinux() error. It might be worth noting that I haven't found any
other way either of starting my winxp domain (for example a simple "xm create
winxp" does not do the job), so this might be a false in xen itself...

Some of my version numbers:
libvirt-0.1.8-3.fc7
libvirt-python-0.1.8-3.fc7
virt-manager-0.2.6-1.fc7
xen-3.0.3-1
kernel-xen-2.6.18-1.2849.fc6
python-virtinst-0.96.0-1
Comment 6 Daniel Veillard 2007-06-20 16:54:12 EDT
The initial bug reported could be releated to an escaping bug in generating the
XML, and is probably still relevant.  Comments 2 to 5 looks completely
unrelated to the initial bug report and will be ignored.

Daniel
Comment 7 Daniel Veillard 2007-07-06 10:00:30 EDT
Wrote a patch which should take care of it,

https://www.redhat.com/archives/libvir-list/2007-July/msg00079.html


Daniel
Comment 8 Daniel Veillard 2007-07-09 10:51:12 EDT
The patch was included in release 0.3.0 this should fix the problem,

  thanks!

Daniel

Note You need to log in before you can comment on or make changes to this bug.